no.sesat.search.mode.command
Class YahooIdpSearchCommand

java.lang.Object
  extended by no.sesat.search.mode.command.AbstractSearchCommand
      extended by no.sesat.search.mode.command.AbstractXmlSearchCommand
          extended by no.sesat.search.mode.command.AbstractYahooSearchCommand
              extended by no.sesat.search.mode.command.YahooIdpSearchCommand
All Implemented Interfaces:
Serializable, Callable<ResultList<ResultItem>>, SearchCommand

public class YahooIdpSearchCommand
extends AbstractYahooSearchCommand

Search against Yahoo! Index Data Protocol 2.0.

Version:
$Id: YahooIdpSearchCommand.java 7225 2009-04-09 00:32:20Z ssmiweve $
See Also:
Serialized Form

Nested Class Summary
 
Nested classes/interfaces inherited from class no.sesat.search.mode.command.AbstractSearchCommand
AbstractSearchCommand.QueryBuilderFactory, AbstractSearchCommand.ReconstructedQuery
 
Nested classes/interfaces inherited from interface no.sesat.search.mode.command.SearchCommand
SearchCommand.Context
 
Field Summary
 
Fields inherited from class no.sesat.search.mode.command.AbstractSearchCommand
completed, context, datamodel, datamodelParameters, DUMP, untransformedQuery
 
Constructor Summary
YahooIdpSearchCommand(SearchCommand.Context cxt)
          Create new overture command.
 
Method Summary
protected  BasicResultItem createItem(Element result)
          Each individual result is usually defined within one given Element.
 ResultList<ResultItem> execute()
           
protected  String getFilter()
           
protected  int getOffset()
          Returns the offset applicable to this command.
protected  String getParameter(String paramName)
          Returns parameter value.
 YahooIdpCommandConfig getSearchConfiguration()
          Assured that associated SearchConfiguration is always of this type.
 String getTransformedQuery()
          Returns the query as it is after the query transformers and command specific query builder have been applied to it.
 
Methods inherited from class no.sesat.search.mode.command.AbstractYahooSearchCommand
getAffilDataParameter, getPartnerId
 
Methods inherited from class no.sesat.search.mode.command.AbstractXmlSearchCommand
createRequestURL, getXmlRestful, setXmlRestful
 
Methods inherited from class no.sesat.search.mode.command.AbstractSearchCommand
addFilterString, call, constructQueryBuilder, createQuery, createQuery, escape, getCurrentOffset, getEngine, getFieldFilter, getFilterBuilder, getQuery, getQueryBuilder, getQueryRepresentation, getReservedWords, getResultsToReturn, getSearchResult, getSingleParameter, getTransformedQuerySesamSyntax, getTransformedTerms, getUserSortBy, handleCancellation, initialiseTransformedTerms, isCancelled, isPaginated, isUserSortable, performExecution, performQueryTransformation, performResultHandling, setTransformedQuerySesamSyntax, statisticsInfo, toString, updateTransformedQuerySesamSyntax, visitXorClause
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait
 

Constructor Detail

YahooIdpSearchCommand

public YahooIdpSearchCommand(SearchCommand.Context cxt)
Create new overture command.

Parameters:
cxt - The context to execute in.
Method Detail

execute

public ResultList<ResultItem> execute()
Specified by:
execute in class AbstractSearchCommand

getSearchConfiguration

public YahooIdpCommandConfig getSearchConfiguration()
Assured that associated SearchConfiguration is always of this type.

Specified by:
getSearchConfiguration in interface SearchCommand
Overrides:
getSearchConfiguration in class AbstractSearchCommand
Returns:
The search configuration.

getTransformedQuery

public String getTransformedQuery()
Description copied from class: AbstractSearchCommand
Returns the query as it is after the query transformers and command specific query builder have been applied to it.

Overrides:
getTransformedQuery in class AbstractSearchCommand
Returns:
The transformed query.

getFilter

protected String getFilter()
Overrides:
getFilter in class AbstractSearchCommand
Returns:

getOffset

protected int getOffset()
Description copied from class: AbstractSearchCommand
Returns the offset applicable to this command. Zero if the command has no "offset" navigator configured, the value of the offset parameter otherwise.

Overrides:
getOffset in class AbstractSearchCommand
Returns:
the offset.

getParameter

protected String getParameter(String paramName)
Description copied from class: AbstractSearchCommand
Returns parameter value. Changed since 2.16.1 so that only request parameters are searched.

Overrides:
getParameter in class AbstractSearchCommand
Parameters:
paramName - the name of the parameter to look for.
Returns:
the parameter value, unescaped, or null if parameter does not exist.

createItem

protected BasicResultItem createItem(Element result)
Description copied from class: AbstractXmlSearchCommand
Each individual result is usually defined within one given Element.

Specified by:
createItem in class AbstractXmlSearchCommand
Parameters:
result - the w3c element
Returns:
the ResultItem


Copyright © 2005-2009 Schibsted ASA. All Rights Reserved.